> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geopard-api-requests-overview/75.-mutation-generate-equationmap-asynchronously.md).

# 75. Мутация: Генериране на „EquationMap“ асинхронно

## Общ преглед

Генериране на „EquationMap“ за „Field“ асинхронно.

{% hint style="info" %}
При асинхронния подход се изпраща задача („`generateEquationMap`“) за обработка, а абонаментът се получава веднага след приключване на обработката.
{% endhint %}

## Поддържани слоеве с данни

EquationMaps могат да се изпълняват върху всеки слой с данни, наличен в GeoPard, включително сателитни изображения, набори от почвени данни, набори от данни за добива, набори от данни за приложените количества, топография, карти на зони и дори други EquationMaps. Форматът на `dataVariables` входа се различава според избрания слой с данни.

```graphql
dataVariables: [
  # YieldDataset
  {
    variable: "yield_variable"
    yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
    yieldAttribute: "<placeholder_of_yielddataset_attribute>"
  }, 
  
  # SoilDataset
  {
    variable: "soil_variable"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
    soilAttribute: "<placeholder_of_soildataset_attribute>"
  },
  
  # AsAppliedDataset
  {
    variable: "asapplied_variable"
    asAppliedDatasetUuid: "<placeholder_of_asapplieddataset_uuid>"
    asAppliedAttribute: "<placeholder_of_asapplieddataset_attribute>"
  },
  
  # SatelliteImage
  {
    variable: "satelliteimage_variable"
    satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]
    index: "<placeholder_of_satelliteimage_vegetation_index>"
  },
  
  # TopographyMap
  {
    variable: "topography_variable"
    topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    topographyAttribute: "<placeholder_of_topography_attribute>"
  },
  
  # EquationMap
  {
    variable: "equationmap_variable"
    equationMapUuid: "<placeholder_of_equationmap_uuid>"
  },
  
  # ZonesMap (VectorAnalysisMap)
  {
    variable: "zonesmap_variable"
    vectorAnalysisMapUuid: "<placeholder_of_zonesmap_uuid>"
  }
]
```

## Пример

<pre class="language-graphql" data-overflow="wrap" data-line-numbers><code class="lang-graphql">mutation GenerateEquationMap {
  generateEquationMapAsync(input: {
    fieldUuid: "&#x3C;placeholder_of_field_uuid>"
    gridPixelSizeX: <a data-footnote-ref href="#user-content-fn-1">30</a>
    gridPixelSizeY: <a data-footnote-ref href="#user-content-fn-1">30</a>
    type: FERTILIZING
    equationAsText:"""calculated = yield_vol/prod + 0.5
if calculated >= 9:
    result = 35
elif calculated >=5  and calculated &#x3C; 9:
    result = 25
else:
    result = 15
    """
    equationResultVariable: "result"
    dataVariables: [{
      variable: "yield_vol"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Yld_Vol_We"
    }, {
      variable: "prod"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Prod_ac_h_"
    }]
  }) {
    uuid
    fieldUuid
    statusCode
  }
}
</code></pre>

[^1]: въведете тук произволен размер на пиксела в метри


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geopard-api-requests-overview/75.-mutation-generate-equationmap-asynchronously.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
